xslt_set_object
xslt_set_sax_handlers
XSLT (PHP 4) Functions
PHP Manual

# xslt_set_sax_handler

Set SAX handlers for a XSLT processor

### Description

void xslt_set_sax_handler ( resource `$xh` , array `$handlers` )

Set SAX handlers on the resource handle given by `xh`.

### Parameters

`xh`

  The XSLT processor link identifier, created with xslt_create.

`handlers`

  SAX handlers should be a two dimensional array with the format (all top level elements are optional):

      array(
      [document] =>
          array(
              start document handler,
              end document handler
          ),
      [element] =>
          array(
              start element handler,
              end element handler
          ),
      [namespace] =>
          array(
              start namespace handler,
              end namespace handler
          ),
      [comment] => comment handler,
      [pi] => processing instruction handler,
      [character] => character data handler
      )

### Return Values

No value is returned.